Note
Groups and projects are synonymous terms. Your {PROJECT-ID} is the same as your project ID. For existing groups, your group/project ID remains the same. This page uses the more familiar term group when referring to descriptions. The endpoint remains as stated in the document.
Base URL: https://{OPSMANAGER-HOST}:{PORT}/api/public/v1.0
Resource
POST /admin/backup/backupDeploymentsRequest Parameters
Request Query Parameters
The following query parameters are optional:
Name | Type | Necessity | Description | Default |
|---|---|---|---|---|
pretty | boolean | Optional | Flag indicating whether the response body is in a prettyprint format. |
|
envelope | boolean | Optional | Flag that indicates whether to wrap the response in an envelope. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. For endpoints that return one result, the response body includes:
|
|
Request Body Parameters
Name | Type | Necessity | Description |
|---|---|---|---|
| boolean | Optional | Flag indicating whether you can assign Deployment Regions to backup resources. |
| string | Required | Ops Manager instance that serves Queryable Backup requests. Value is in the following format: |
| string | Required | String that describes the purpose of the deployment region. |
| string | Reguired | Unique identifier that references this deployment region in configurations. |
| string | Reguired | Ops Manager instance to which the Backup Agent writes snapshot or oplog data. Value is a valid URL such as |
| string | Required | Ops Manager instance that serves restore requests. |
Response
Name | Type | Description |
|---|---|---|
| boolean | Flag indicating whether you can assign Deployment Regions to backup resources. |
| string | Ops Manager instance that serves Queryable Backup requests. Value is in the following format: |
| string | String that describes the purpose of the deployment region. |
| string | Unique identifier that references this deployment region in configurations. |
| string | Ops Manager instance to which the Backup Agent writes snapshot or oplog data. Value is a valid URL such as |
| object array | One or more links to sub-resources or related resources. All |
| string | Ops Manager instance that serves restore requests. |
Example Request
curl --user "{publicKey}:{privateKey}" --digest \ --header "Accept: application/json" \ --include \ --request POST "https://{opsManagerHost}:{port}/api/public/v1.0/admin/backup/backupDeployments/NY_NJ?pretty=true" --data ' { "id": "AU_NZ", "ingestionEndpoint": "https://api-backup.mongodb.com", "restoreEndpoint": "https://api-backup.mongodb.com", "bqProxyEndpoint": "queryable-backup.mongodb.com:27217", "deploymentDescription": "Australia and New Zealand", "assignmentEnabled": true }'Example Response
Response Header
HTTP/1.1 401 UnauthorizedContent-Type: application/json;charset=ISO-8859-1Date: {dateInUnixFormat}WWW-Authenticate: Digest realm="MMS Public API", domain="", nonce="{nonce}", algorithm=MD5, op="auth", stale=falseContent-Length: {requestLengthInBytes}Connection: keep-aliveHTTP/1.1 200 OKVary: Accept-EncodingContent-Type: application/jsonStrict-Transport-Security: max-age=300Date: {dateInUnixFormat}Connection: keep-aliveContent-Length: {requestLengthInBytes}X-MongoDB-Service-Version: gitHash={gitHash}; versionString={ApplicationVersion}Response Body
{ "assignmentEnabled" : true, "bqProxyEndpoint" : "queryable-backup.mongodb.com:27217", "deploymentDescription" : "Australia and New Zealand", "id" : "AU_NZ", "ingestionEndpoint" : "https://api-backup.mongodb.com", "links" : [ ], "restoreEndpoint" : "https://api-backup.mongodb.com"}